import json
import requests
from api_auth import APICredentials, APIParams

class GetMultipleClips:
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        """
        Get multiple video clips.
        """
        self._get_multiple_clips()

    def _get_multiple_clips(self):
        url = "{}{}".format(self.host, "/api/v4/clip/draft_info")

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )

        print(response.json())

GetMultipleClips().run()
